<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\ParCiudad;

class ParCiudadController extends Controller
{
    public function provincias(Request $request){
        $provincias=ParCiudad::where('cod_depto',$request->departamento_id)->distinct()->orderBy('cod_provincia')->get(['cod_provincia','provincia_nombre']);
        return response()->json($provincias);
    }

    public function municipios(Request $request){
        $municipios=ParCiudad::where('cod_depto',$request->departamento_id)
        ->where('cod_provincia',$request->provincia_id)->distinct()->orderBy('cod_municipio')->get(['cod_municipio','municipio_nombre']);
        return response()->json($municipios);
    }

    public function ciudades(Request $request){
        $ciudades=ParCiudad::where('cod_depto',$request->departamento_id)
        ->where('cod_provincia',$request->provincia_id)
        ->where('cod_municipio',$request->municipio_id)
        ->distinct()->orderBy('id')->get(['id','ciudad_nombre']);
        return response()->json($ciudades);
    }
}
